Subject: Re: [ANNOUNCEMENT] Updated: git-1.7.0.4-2, git{k,-gui,-completion,-svn}-1.7.0.4-2
From: Frédéric Bron <[email-masked]>
To: [email-masked]
Date: Sun, 11 Apr 2010 16:38:11 +0200
List-Id: <cygwin.cygwin.com>

> Switch to NTFS and set the permissions you need where you need them
> to the well-known SID of world/Everyone?

I have formatted my disk to ntfs. Then I have removed everybody from
permissions and added only Everyone with total control.
When I create a file in windows on this drive : permissions are just
the same, i.e. Everyone=total control.
However, when I create a file from cygwin (1.7) with
$ touch foo
I get the following permissions:
Domain Users = Read
MySelf = Read/Write
Everybody = Read

So Everybody has not total control and I am sure I will have trouble
on another computer.
What should I do? Should I mount this disk differently? Currently I
use the default via /cygdrive/?

Frédéric

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple